%global pypi_name opensearch-py

Summary:        Python low-level client for OpenSearch
Name:           python-%{pypi_name}
Version:        2.2.0
Release: 1%{?dist}

License:        Apache-2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.}

%description %_description

%package -n python3-opensearch-py+async
Summary: Subpackage for python3-opensearch-py with extra async dependencies
Requires: python3-opensearch-py

%description -n python3-opensearch-py+async
This is the subpackage for python3-opensearch-py with extra async dependencies.

%files -n python3-opensearch-py+async -f %{_pyproject_ghost_distinfo}


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x async -x kerberos


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files opensearchpy


%check


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-1
- initial build
